Page MenuHomePhabricator

Goal: Community Liaisons support scales better across Wikimedia Foundation’s Product and Technology departments
Closed, ResolvedPublic

Description

Here we organize the work required to implement the Community-Relations-Support tasks supporting Wikimedia Foundation Annual Plan FY2017-18 - Community Engagement - Program 11 Community collaboration in product development (some parts not related to CL support have been removed):

Goal
The goal is to increase the awareness and participation of Wikimedia communities in our product development projects. A higher quantity and diversity of participation through our planning and development process will result in a better common understanding, a better collaboration, and better products.
A requirement to achieve this goal is to offer to our communities a simple and predictable way to stay informed about and to participate in our product development projects. For this, our current reliance on CL support will be increasingly complemented by harmonization of community engagement practices across Product and Technology teams.
This shift will be based in these principles:

  • CLs will continue to be regularly involved in product planning, having resident specialists appointed to the different areas.
  • CLs will be directly involved in the most complex goals and tasks, as agreed on a regular basis with Product and Technology product owners.
  • All projects will take the TCG as a set of base recommendations to be adapted to their specific needs and circumstance

Outcomes

  • Outcome 1: P&T's most strategic goals get full support by CLs;
    • Communities are a real partner, members are satisfied, more interested in technical collaboration activities and even proactive.
    • Lack of community involvement and satisfaction is no longer a factor preventing smooth rollouts and goals' achievement;
  • Outcome 2: CL support scales better across Product and Technology, also in projects without CLs directly assigned, and by having information necessary to successfully do basic community outreach all Product and Technology teams will more easily be able to update communities directly on lightweight communications that do not require CL intervention.

Objectives

  • Objective 2: Develop internal processes (for example, a protocol to request CL support) to clarify terms of engagement, roles and responsibilities, and for a smarter triage of incoming requests.

Milestones/Targets

  • Target 1: CL coverage:
    • At least one resident CL is allocated in every Product audience team, involved in product planning activities.
    • Product and Technology management teams have one CL assigned each, involved in relevant planning activities.
    • 100% of Product and Technology goals involving CL support developed through these co-planning activities are resourced.
    • Beyond team goals, 100% of support requests submitted to CL by Product or Technology receive a response within a week.
    • Beyond team goals, 80% of support requests accepted are resourced within three months.

Zero unanticipated clashes with the communities related to goals or tasks where CL support has been committed, or where TCG best practices have been followed by the Foundation teams. CL will ensure that development teams are aware of potential and emerging points of conflict.
At least three wiki projects requesting beta features and early deployments (where applicable).
Top 25 wiki projects in terms of active contributors have at least one active tech ambassadors and one translator identified (could be the same person).

  • Target 2: Degree of satisfaction of teams receiving CL support or using TCG documentation is recorded via surveys and/or interviews as “Very satisfied”.
  • Target 3: Major community collaborations are rated as "good" by volunteers through surveys, to verify whether TCG expectations on best practices were met.

Related Objects

Event Timeline

Elitre created this task.Jul 7 2017, 5:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 7 2017, 5:19 PM
Elitre triaged this task as Normal priority.Aug 13 2017, 3:03 PM

Should this stay in the backlog forever? Should we create a column for Q4 already?

Qgil added a subscriber: Qgil.Sep 1 2017, 11:57 AM

Community-Relations-Support (Apr-Jun-2018) exists now. Thanks for asking. :)

While I don't think this epic tasks should have all the CL goals as subtasks, it would be worth considering to relate those tasks related with basic processes and/or those that are prominent in the logic model. A vague definition, I know, but it is an attempt to see how can we connect this epic task for the program with the work being actually done for the program.

Qgil renamed this task from Community Liaisons support scales better across Wikimedia Foundation’s Product and Technology departments to Goal: Community Liaisons support scales better across Wikimedia Foundation’s Product and Technology departments.Sep 22 2017, 10:20 AM
Qgil edited projects, added Goal; removed Epic.
Qgil updated the task description. (Show Details)
Qgil updated the task description. (Show Details)
Elitre closed this task as Resolved.Jul 5 2018, 2:10 PM

I believe we have learned a lot this year through this program.
I am proud of how my team has supported Audiences and Technology this year.
I hope having guidance/documentation written down will help a lot in the future.
I hope our efforts to get more and more connected to community members will pay off.

Qgil awarded a token.Jul 5 2018, 3:07 PM
Liuxinyu970226 removed a subscriber: Liuxinyu970226.

(Moved out of Community-Relations where we don't have a board. Sorry for the noise.)

Elitre moved this task from Inbox to Evaluated on the CommRel-Internals board.Nov 28 2018, 3:10 PM